KOPANO-SEARCH(8)

NAME
kopano-search - Kopano Indexed Search Service.

SYNOPSIS

kopano-search

DESCRIPTION

The kopano-search daemon is used to index all messages for all users in the kopano-server. Indexing messages greatly enhances the search performance of the kopano-server.

After starting, the search daemon will continuously update the store index files and will keep listening for connections on the configured TCP port and/or Unix socket for search requests from the kopano-server(8).

OPTIONS

The Kopano search program takes the following configuration options:

--config, -C file
    Specify the location of the configuration file.

    Default: /etc/kopano/search.cfg

--server-socket, -S path
    Connect to the storage server through path, e.g. file:///path/to/socket or https://a.example:237/.

    Default: file:///var/run/kopano/server.sock

--reindex user/store
    Remove the current index of the given user or store and start to make a new index immediately.

    Use in combination with -u or -S to specify one or more users or stores.

    The kopano-search daemon must already be running on the same machine.

When invoked with no options, the kopano-search daemon will search for a configuration file in /etc/kopano/search.cfg. If no configuration file is found, default values are used. See kopano-search.cfg(5) for all configuration options and their default values.

USAGE

Starting the kopano-search daemon with an alternative configuration:

kopano-search-C/path/to/search.cfg

SEE ALSO

kopano-server(8), kopano-search.cfg(5)